Subject: Re: [bitcoin-dev] Draft BIP : fixed-schedule block size increase

From: Will <[email-masked]>
Date: Fri, 26 Jun 2015 15:07:30 -0400

Moving averages have upsides and downsides vs fixed growth.  Moving averages are backwards looking and don't handle seasonalities or unanticipated increases in demand very well.

Think "Black Friday" or the horribly named "Cyber 
Monday" in retail or market hysteria where millions of noobs jump into or out of bitcoin.

If you want to create fee pressure I think this can be done, but I would keep both of these in mind before choosing a value for N.  Adjustments would need to be frequent and nimble enough to handle seasonalities and other unanticipated outliers.

> On Jun 26, 2015, at 1:39 PM, Gavin Andresen <[email-masked]> wrote:
> 
>> On Fri, Jun 26, 2015 at 11:13 AM, Will <[email-masked]> wrote:
>> Make the lazy miners' default choice grow at the hard cap growth rate and you should be ok if you want voting.
> 
> I think the default block size is an orthogonal issue to the max block size.
> 
> HOWEVER: I think changing the default 'target' block size from the current, fixed 750K to the average of the size of the last N blocks would have some nice properties. It is policy-neutral (we should get out of the business of deciding the right block size and let the miners who care drive block size up or down) and if there are a significant proportion of lazy miners going with defaults it gives the system a healthy "fee pressure."
> 
> -- 
> --
> Gavin Andresen